Copyright: Created with EasyHelp (Tel: 0973 209667)


Logic/Latch, Persistent - RG354405

Description

This block implements the SR-latch function and provides both non-inverted and inverted outputs.  the Set (S) and Reset (R) inputs are level sensitive; the Toggle (T) input issensitive to the false-to-true transition.  The Reset input has precedence over the Set input; the Toggle input is ignored if either Set or Reset are true.

The Output state is persistent.

Parameters

Set	Sets the latch to true.  This input is overridden by the Reset input.  Expects either true or false.

Reset	Resets the latch to false.  Expects either true or false.

Toggle	Toggles the latch from true to false or vise versa.  This input is overridden by both the Set and Reset inputs.  Expects either true or false.

Get Output	Returns the current state of the latch.  Either false, true, reset (false), set (true), or contention (false).


Description

This block implements the SR-latch function and provides both non-inverted and inverted outputs.  the Set and Reset inputs are level sensitive; the Toggle input issensitive to the false-to-true transition.  The Reset input has precedence over the Set input; the Toggle input is ignored if either Set or Reset are true.

The Output state is persistent.


Parameters

Set	Sets the latch to true.  This input is overridden by the Reset input.  Expects either true or false.

Reset	Resets the latch to false.  Expects either true or false.

Toggle	Toggles the latch from true to false or vise versa.  This input is overridden by both the Set and Reset inputs.  Expects either true or false.

Get Output	Returns the current state of the latch.  Either false, true, reset (false), set (true), or contention (false).